// Cyrix Device ID Register 0 (DIR0) Values
#define UNKNOWN_VENDER      0xff

   /***********************/
   /**  486 DLC and SLC  **/
   /***********************/
#define Cx486_SLC    0x0      
#define Cx486_DLC    0x1      
#define Cx486_SLC2   0x2      
#define Cx486_DLC2   0x3      
#define Cx486_SRx    0x4      // Retail Upgrade Cx486SLC
#define Cx486_DRx    0x5      // Retail Upgrade Cx486DLC
#define Cx486_SRx2   0x6      // Retail Upgrade 2x Cx486SLC
#define Cx486_DRx2   0x7      // Retail Upgrade 2x Cx486DLC

   /***********************/
   /* 486 S, DX, DX2, DX4 */
   /***********************/
#define Cx486S       0x10     // B step
#define Cx486S2      0x11     // B step
#define Cx486Se      0x12     // B step
#define Cx486S2e     0x13     // B step
#define Cx486DX      0x1a     // 
#define Cx486DX2     0x1b     // 
#define Cx486DX4     0x1f     

   /***********************/
   /***       5x86      ***/
   /***********************/
#define _5x86_1xs    0x28     // 5x86 1x Core/Bus Clock
#define _5x86_1xp    0x2a     // 5x86 1x Core/Bus Clock
#define _5x86_2xs    0x29     // 5x86 2x Core/Bus Clock
#define _5x86_2xp    0x2b     // 5x86 2x Core/Bus Clock
#define _5x86_3xs    0x2d     // 5x86 3x Core/Bus Clock
#define _5x86_3xp    0x2f     // 5x86 3x Core/Bus Clock
#define _5x86_4xs    0x2c     // 5x86 4x Core/Bus Clock
#define _5x86_4xp    0x2e     // 5x86 4x Core/Bus Clock

   /***********************/
   /***       6x86      ***/
   /***********************/
#define _6x86_1xs    0x30     // 6x86 1x Core/Bus Clock
#define _6x86_1xp    0x32     // 6x86 1x Core/Bus Clock
#define _6x86_2xs    0x31     // 6x86 2x Core/Bus Clock
#define _6x86_2xp    0x33     // 6x86 2x Core/Bus Clock
#define _6x86_3xs    0x35     // 6x86 3x Core/Bus Clock
#define _6x86_3xp    0x37     // 6x86 3x Core/Bus Clock   
#define _6x86_4xs    0x34     // 6x86 4x Core/Bus Clock   
#define _6x86_4xp    0x36     // 6x86 4x Core/Bus Clock   

   /***********************/
   /***       Gx86      ***/
   /***********************/
#define Gx86_3xs     0x45     // Gx86 3x Core/Bus Clock
#define Gx86_3xp     0x47     // Gx86 3x Core/Bus Clock
#define Gx86_4xs     0x44     // Gx86 4x Core/Bus Clock
#define Gx86_4xp     0x46     // Gx86 4x Core/Bus Clock

   /***********************/
   /***       m2        ***/
   /***********************/
#define m2s_base     0x50     // m2 s base 1x  
#define m2p_base     0x58     // m2 p base 1x
#define m2_1xs       0x50     // m2 1x   Core/Bus Clock
#define m2_1xp       0x58     // m2 1x   Core/Bus Clock
#define m2_2xs       0x51     // m2 2x   Core/Bus Clock
#define m2_2xp       0x59     // m2 2x   Core/Bus Clock
#define m2_2p5xs     0x52     // m2 2.5x Core/Bus Clock
#define m2_2p5xp     0x5a     // m2 2.5x Core/Bus Clock
#define m2_3xs       0x53     // m2 3x   Core/Bus Clock
#define m2_3xp       0x5b     // m2 3x   Core/Bus Clock
#define m2_3p5xs     0x54     // m2 3.5x Core/Bus Clock
#define m2_3p5xp     0x5c     // m2 3.5x Core/Bus Clock
#define m2_4xs       0x55     // m2 4x   Core/Bus Clock
#define m2_4xp       0x5d     // m2 4x   Core/Bus Clock
#define m2_4p5xs     0x56     // m2 4.5x Core/Bus Clock
#define m2_4p5xp     0x5e     // m2 4.5x Core/Bus Clock
#define m2_5xs       0x57     // m2 5x   Core/Bus Clock
#define m2_5xp       0x5f     // m2 5x   Core/Bus Clock

#define Cx486_pr     0xfd     // Cx486SLC and DLC, No ID Register
#define Cx486S_a     0xfe     // A step, No ID Register

